OpenVPN Server Version



  • Hello,
    First Off.
    I got OpenVPN server working perfectly with my Radius server and have it locked down and all.  All the certs are working nicely and everything works nice and pretty.

    My question:
    I am currently on pfsense 2.2.6 64-Bit and was wondering if I can use a newer openVPN version for the client install on computers?

    Also, what version of openVPN does pfsense 2.2.6 use, I believe it to be openVPN 2.3.8

    And is it possible to update the openVPN version to the latest version ?

    Does the new version of openVPN(version 2.3.10) offer any better security ?

    Thank You


  • Rebel Alliance Global Moderator

    you can use the current version on your clients without any issues.  I connect with 2.3.10 from windows machines all the time to my pfsense.

    2.2.6 is using

    [2.2.6-RELEASE][root@pfSense.local.lan]/root: openvpn –version
    OpenVPN 2.3.8 amd64-portbld-freebsd10.1 [SSL (OpenSSL)] [LZO] [MH] [IPv6] built on Aug 21 2015
    library versions: OpenSSL 1.0.1l-freebsd 15 Jan 2015, LZO 2.09

    As to security differences between 2.3.8 and 2.3.10 – pretty sure if there was any sort of significant issue that pfsense team would of updated it..  More than likely the 2.3 version of pfsense is using 2.3.10



  • Thank You very much for the info.



  • @johnpoz:

    More than likely the 2.3 version of pfsense is using 2.3.10

    Could someone check this?

    Thank you.


  • Rebel Alliance Global Moderator

    using 2.3.9

    [2.3-RELEASE][root@pfSense.local.lan]/root: openvpn –version
    OpenVPN 2.3.9 amd64-portbld-freebsd10.3 [SSL (OpenSSL)] [LZO] [MH] [IPv6] built on Mar 31 2016
    library versions: OpenSSL 1.0.1s-freebsd  1 Mar 2016, LZO 2.09
    Originally developed by James Yonan